View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000276aMuleServerspublic2005-02-02 18:072005-02-28 23:25
ReporterJohna 
Assigned ToKry 
PrioritynormalSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version2.0.0-rc8 
Target VersionFixed in VersionSVN 
Summary0000276: aMule crached when tried to start.
DescriptionHello,
when i tried to start aMule rc.8 after compilation it's started and crashed. Maybe when trying to get new servers.
Platform: Slackware 10
glibc: 2.3.4
gcc -v: Reading specs from /usr/lib/gcc-lib/i486-slackware-linux/3.3.4/specs
Configured with: ../gcc-3.3.4/configure --prefix=/usr --enable-shared --enable-threads=posix --enable-__cxa_atexit --disable-checking --with-gnu-ld --verbose --target=i486-slackware-linux --host=i486-slackware-linux
Thread model: posix
gcc version 3.3.4

Here are error message:
Initialising aMule
Userhash loaded: D86A061FCC0E84C4A3F10E6AD6E96F59
*** UDP socket at 4665
*** reading servers
Loading temp files from /home/lamer/.aMule/Temp.
Empty dir /home/lamer/.aMule/Incoming/ shared
*** TCP socket at 4662
ListenSocket: Ok.
*** UDP socket at 4672
AICH Thread: Syncronization thread started.
AICH Thread: Masterhashes of known files have been loaded.
AICH Thread: No new files found.
AICH Thread: Thread terminated.

--------------------------------------------------------------------------------OOPS! Houston, we have a situation: seems like aMule crashed!
Please, post these lines on the backtrace forum on http://www.amule.org/ [^]
aMule version is: 2.0.0rc8 using wxGTK1 v2.4.2
----------------------------=| BACKTRACE FOLLOWS: |=----------------------------
[0] CamuleApp::OnFatalException() in amule.cpp:979
[1] wxFatalSignalHandler in /usr/local/lib/libwx_gtk-2.4.so[0x40418299]
[2] ?? in /lib/libpthread.so.0 [0x4003bc85]
[3] ?? in [0xffffe420]
[4] wxString::Cmp(char const*) const in /usr/local/lib/libwx_gtk-2.4.so[0x403c86b2]
[5] CServerListCtrl::SortProc(long, long, long) in ServerListCtrl.cpp:533
[6] CServerListCtrl::RefreshServer(CServer*) in ServerListCtrl.cpp:169
[7] CServerListCtrl::AddServer(CServer*) in ServerListCtrl.cpp:103
[8] CamuleGuiApp::NotifyEvent(GUIEvent) in amule-gui.cpp:706
[9] CamuleApp::AddServer(CServer*) in amule.cpp:1596
[10] CServerSocket::ProcessPacket(char const*, unsigned, unsigned char) in ServerSocket.cpp:445
[11] CServerSocket::PacketReceived(Packet*) in ServerSocket.cpp:567
[12] CEMSocket::OnReceive(int) in EMSocket.cpp:261
[13] CServerSocket::OnReceive(wxSocketError) in ServerSocket.cpp:168
[14] CServerSocketHandler::ServerSocketHandler(wxSocketEvent&) in ServerSocket.cpp:651
[15] wxEvtHandler::SearchEventTable(wxEventTable&, wxEvent&) in /usr/local/lib/libwx_gtk-2.4.so[0x40333ff6]
[16] wxEvtHandler::ProcessEvent(wxEvent&) in /usr/local/lib/libwx_gtk-2.4.so[0x40333dfc]
[17] wxEvtHandler::ProcessPendingEvents() in /usr/local/lib/libwx_gtk-2.4.so[0x40333d28]
[18] wxAppBase::ProcessPendingEvents() in /usr/local/lib/libwx_gtk-2.4.so[0x402f69f6]
[19] ?? in /usr/local/lib/libwx_gtk-2.4.so [0x402987f3]
[20] ?? in /usr/lib/libglib-1.2.so.0 [0x407f6dd8]
[21] ?? in /usr/lib/libglib-1.2.so.0 [0x407f5e75]
[22] ?? in /usr/lib/libglib-1.2.so.0 [0x407f632c]
[23] g_main_run in /usr/lib/libglib-1.2.so.0[0x407f655c]
[24] gtk_main in /usr/lib/libgtk-1.2.so.0[0x40720083]
[25] wxApp::MainLoop() in /usr/local/lib/libwx_gtk-2.4.so[0x40299326]
[26] wxAppBase::OnRun() in /usr/local/lib/libwx_gtk-2.4.so[0x402f6898]
[27] wxEntry(int, char**) in /usr/local/lib/libwx_gtk-2.4.so[0x40299aa6]
[28] main in amule-gui.cpp:161
[29] __libc_start_main in /lib/libc.so.6[0x409d7469]
[30] wxTopLevelWindowBase::GetMaxSize() const in start.S:122

--------------------------------------------------------------------------------Aborted
TagsNo tags attached.
Fixed in Revision
Operating System
Attached Files? file icon amule-crash [^] (8,614 bytes) 2005-02-02 22:51 [Show Content]
? file icon amule-cvs-crash [^] (7,805 bytes) 2005-02-03 11:20 [Show Content]
? file icon amule-crash-cvs-20050223 [^] (9,227 bytes) 2005-02-23 23:58 [Show Content]
? file icon amule-crash-cvs-20050224 [^] (8,467 bytes) 2005-02-25 16:30 [Show Content]

- Relationships

-  Notes
(0000597)
Xaignar (manager)
2005-02-02 21:46

Can you try to produce a real backtrace? It would be a big help.
You can see how to do that here: http://www.amule.org/wiki/index.php/Backtraces [^]
(0000598)
Johna (reporter)
2005-02-02 22:52

Okay, i attach trace. The problem is when amule trying to get new servers and after get them, crashed.
(0000599)
phoenix (developer)
2005-02-03 03:44

This looks like the sort bug that has been fixed. Johna, could you compile and test a recent CVS snapshot? You can get one here:
http://amule.hirnriss.net/ [^]
(0000600)
Johna (reporter)
2005-02-03 11:22

aMule-cvs-20050203.tar.bz2
crashed too after connect to server. I make backtrase and attach you with name amule-cvs-crash
(0000601)
phoenix (developer)
2005-02-03 13:19

Ok, this looks old, but is actually new. Johna used cvs from aMule-cvs-20050203.tar.bz2, which is today. I thought this issue was fixed.
(0000612)
Kry (manager)
2005-02-07 05:26

I bet using unicode aMule that won't crash. Seems the Cmp function converts the string to be used with strcmp, and as it has non-std chars, it gets to NULL, thus crashing the calls.


Seems more a wx bug than an aMule bug. Can you try a recent wx version?
(0000667)
Kry (manager)
2005-02-23 16:22

Ok, I was wrong. I got it here several times yesterday, and then it misteriously dissapeared.
(0000668)
Kry (manager)
2005-02-23 18:15

Probably fixed on current CVS. Closing if no feeback in a week.
(0000670)
Johna (reporter)
2005-02-23 23:57

The prbolem in aMule-cvs-20050223.tar.bz2 not fixed, i see that when i start, it's trying to load new servers and after them crashed. I add gdb trase.
(0000671)
Kry (manager)
2005-02-24 00:34

Johna, that is because when I fix something, it's on NEXT tarball :P
(0000672)
phoenix (developer)
2005-02-24 11:51

:D
Hey Johna try again with today tarball.
(0000673)
Johna (reporter)
2005-02-24 18:56

Does not compile current from: aMule-cvs-20050224.tar.bz2
make[5]: Leaving directory `/usr/local/src/amule-cvs/src/kademlia'
make[4]: Leaving directory `/usr/local/src/amule-cvs/src/kademlia'
make[4]: Entering directory `/usr/local/src/amule-cvs/src'
if g++ -DHAVE_CONFIG_H -I. -I. -I.. -I/usr/local/lib/wx/include/gtk-2.4 -DGTK_NO_CHECK_CASTS -D__WXGTK__ -D_FILE_OFFSET_BITS=64 -D_LARGE_FILES -I/usr/include/gtk-1.2 -I/usr/include/glib-1.2 -I/usr/lib/glib/include -I/usr/X11R6/include -DUSE_EMBEDDED_CRYPTO -W -Wall -g -ggdb -fno-inline -D__DEBUG__ -fmessage-length=0 -MT amule-amule.o -MD -MP -MF ".deps/amule-amule.Tpo" \
  -c -o amule-amule.o `test -f 'amule.cpp' || echo './'`amule.cpp; \
then mv -f ".deps/amule-amule.Tpo" ".deps/amule-amule.Po"; \
else rm -f ".deps/amule-amule.Tpo"; exit 1; \
fi
amule.cpp: In member function `void CamuleApp::AddLogLine(const wxString&)':
amule.cpp:1827: error: duplicate `const'
amule.cpp:1833: error: duplicate `const'
make[4]: *** [amule-amule.o] Error 1
make[4]: Leaving directory `/usr/local/src/amule-cvs/src'
make[3]: *** [all-recursive] Error 1
make[3]: Leaving directory `/usr/local/src/amule-cvs/src'
make[2]: *** [all] Error 2
make[2]: Leaving directory `/usr/local/src/amule-cvs/src'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/usr/local/src/amule-cvs'
make: *** [all] Error 2
(0000676)
phoenix (developer)
2005-02-25 03:20

Johna, sorry, that was my fault :/
You can either go to those two lines and delete the const or use tomorrow tarball.
Sorry for the inconvenience buddy.
(0000677)
Johna (reporter)
2005-02-25 08:47

After i remove 'const' i recive follow error:
aMule version is: CVS using wxGTK1 v2.4.2 (Snapshot: Thu Feb 24 07:01:19 CET 2005)

[0] CamuleApp::OnFatalException() in amule.cpp:1139
[1] wxFatalSignalHandler in /usr/local/lib/libwx_gtk-2.4.so[0x40418299]
[2] ?? in /lib/libpthread.so.0 [0x4003bc85]
[3] ?? in [0xffffe420]
[4] wxString::Cmp(char const*) const in /usr/local/lib/libwx_gtk-2.4.so[0x403c86b2]
[5] CServerListCtrl::SortProc(long, long, long) in ServerListCtrl.cpp:582
[6] CServerListCtrl::RefreshServer(CServer*) in ServerListCtrl.cpp:185
[7] CServerListCtrl::AddServer(CServer*) in ServerListCtrl.cpp:109
[8] CamuleGuiApp::NotifyEvent(GUIEvent) in amule-gui.cpp:736
[9] CamuleApp::AddServer(CServer*) in amule.cpp:1793
[10] CServerSocket::ProcessPacket(char const*, unsigned, unsigned char) in ServerSocket.cpp:579
[11] CServerSocket::PacketReceived(CPacket*) in ServerSocket.cpp:710
[12] CEMSocket::OnReceive(int) in EMSocket.cpp:266
[13] CServerSocket::OnReceive(wxSocketError) in ServerSocket.cpp:275
[14] CServerSocketHandler::ServerSocketHandler(wxSocketEvent&) in ServerSocket.cpp:111
[15] wxEvtHandler::SearchEventTable(wxEventTable&, wxEvent&) in /usr/local/lib/libwx_gtk-2.4.so[0x40333ff6]
[16] wxEvtHandler::ProcessEvent(wxEvent&) in /usr/local/lib/libwx_gtk-2.4.so[0x40333dfc]
[17] wxEvtHandler::ProcessPendingEvents() in /usr/local/lib/libwx_gtk-2.4.so[0x40333d28]
[18] wxAppBase::ProcessPendingEvents() in /usr/local/lib/libwx_gtk-2.4.so[0x402f69f6]
[19] ?? in /usr/local/lib/libwx_gtk-2.4.so [0x402987f3]
[20] ?? in /usr/lib/libglib-1.2.so.0 [0x407f6dd8]
[21] ?? in /usr/lib/libglib-1.2.so.0 [0x407f5e75]
[22] ?? in /usr/lib/libglib-1.2.so.0 [0x407f632c]
[23] g_main_run in /usr/lib/libglib-1.2.so.0[0x407f655c]
[24] gtk_main in /usr/lib/libgtk-1.2.so.0[0x40720083]
[25] wxApp::MainLoop() in /usr/local/lib/libwx_gtk-2.4.so[0x40299326]
[26] wxAppBase::OnRun() in /usr/local/lib/libwx_gtk-2.4.so[0x402f6898]
[27] wxEntry(int, char**) in /usr/local/lib/libwx_gtk-2.4.so[0x40299aa6]
[28] main in amule-gui.cpp:162
[29] __libc_start_main in /lib/libc.so.6[0x409d7469]
[30] wxTopLevelWindowBase::GetMaxSize() const in start.S:122

Do you need gdb output for this ?
(0000678)
phoenix (developer)
2005-02-25 13:24

Johna, yes, we need gdb backtraces if you can provide them.
(0000681)
Johna (reporter)
2005-02-25 16:31

I attach file.
(0000682)
Kry (manager)
2005-02-25 19:49

Remove your server.met and retry. I fixed the unicode problems on that file, but must be removed to dl a fresh one and everything will be ok. I hope.
(0000683)
Kry (manager)
2005-02-28 20:29

Johna?
(0000686)
Johna (reporter)
2005-02-28 22:35
edited on: 2005-02-28 22:37

Sorry, i may be not see previus email.
After removing server.met file seem that aMule work fine. Downloaded new server.met file and connect to server. After quit from aMule and start again every thing is work fine (no crashes). Thanks for help. The problem is resolved.

edited on: 02-28-05 22:37
(0000687)
Kry (manager)
2005-02-28 23:25
edited on: 2005-02-28 23:26

Yay! Feel free to report if this ever happens again, and MANY thanks for the testing. You're welcome to keep around and if you want to hard test, even be a official teter :)

edited on: 02-28-05 23:26

- Issue History
Date Modified Username Field Change
2005-02-02 18:07 Johna New Issue
2005-02-02 21:46 Xaignar Note Added: 0000597
2005-02-02 22:51 Johna File Added: amule-crash
2005-02-02 22:52 Johna Note Added: 0000598
2005-02-03 03:44 phoenix Note Added: 0000599
2005-02-03 03:44 phoenix Status new => feedback
2005-02-03 11:20 Johna File Added: amule-cvs-crash
2005-02-03 11:22 Johna Note Added: 0000600
2005-02-03 13:19 phoenix Note Added: 0000601
2005-02-03 13:19 phoenix Status feedback => acknowledged
2005-02-07 05:26 Kry Note Added: 0000612
2005-02-23 16:22 Kry Note Added: 0000667
2005-02-23 18:15 Kry Note Added: 0000668
2005-02-23 18:15 Kry Status acknowledged => assigned
2005-02-23 18:15 Kry Assigned To => Kry
2005-02-23 23:57 Johna Note Added: 0000670
2005-02-23 23:58 Johna File Added: amule-crash-cvs-20050223
2005-02-24 00:34 Kry Note Added: 0000671
2005-02-24 11:51 phoenix Note Added: 0000672
2005-02-24 18:56 Johna Note Added: 0000673
2005-02-25 03:20 phoenix Note Added: 0000676
2005-02-25 08:47 Johna Note Added: 0000677
2005-02-25 13:24 phoenix Note Added: 0000678
2005-02-25 16:30 Johna File Added: amule-crash-cvs-20050224
2005-02-25 16:31 Johna Note Added: 0000681
2005-02-25 19:49 Kry Note Added: 0000682
2005-02-28 20:29 Kry Note Added: 0000683
2005-02-28 22:35 Johna Note Added: 0000686
2005-02-28 22:37 Johna Note Edited: 0000686
2005-02-28 23:25 Kry Status assigned => resolved
2005-02-28 23:25 Kry Fixed in Version => CVS
2005-02-28 23:25 Kry Resolution open => fixed
2005-02-28 23:25 Kry Note Added: 0000687
2005-02-28 23:26 Kry Note Edited: 0000687


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker